/*************************************************************************
** File: BNDEMUCX.C
**
** Desc: Test case for NWDSGetBinderyContext.
**
** Syntax: load bndemucx <serverName>
**
** Output: Typeless distinquished name for the current bindery emulation
**				context.
**
**	QMK386 options used:
**
**		/id - Include NDS import file.
**		/z  - Generate for NLMLINKx.
**
** When		Who	What
** ------------------------------------------------------------
** 06-27-94 MDO	Begin
*/

/*************************************************************************
** Include header files
*/
	/*---------------------------------------------------------------------
	** NLMSDK includes
	*/
	#include <stdlib.h>
	#include <stdio.h>
	#include <string.h>
	#include <conio.h>
	#include <nwdsapi.h>
	#include <nwdsmisc.h>
	#include <nwdsdc.h>
	#include <nwconn.h>
	#include <nwenvrn.h>
	#include <nwcntask.h>

/*************************************************************************
** DisplayUsage
*/
void DisplayUsage(void)
	{
	printf("Syntax:  load bndemucx <servername>\n");
	printf("Example: load bndemucx eng_server\n");
	exit(0);
	}

/*************************************************************************
** main
*/
void main(int argc, char *argv[])
	{
	NWDSContextHandle	context;
	NWDSCCODE	ccode;
	WORD fileServerID;
	uint8	bndEmuCx[1024+1];
	LONG	connection;

	if(argc!=2)
		DisplayUsage();		/*display usage and exit nlm*/
	  
	context=NWDSCreateContext();
	if(ERR_CONTEXT_CREATION == context)
		{
		printf("Error creating context.\n");
		exit(0);
		}
								
	if(AttachToFileServer(argv[1], &fileServerID))
		{
		printf("Error during AttachToFileServer\n");
		goto Exit1;
		}

	connection=GetCurrentConnection();

	ccode=NWDSGetBinderyContext(
		/* NWDSContextHandle	context,		  	*/ context,
		/* int					serverHandle, 	*/ (int) connection,
		/* uint8 NWFAR			*bndEmuCx		*/	bndEmuCx );

	if(ccode)
		{
		printf("NWDSGetBinderyContext() returned error: %x",ccode);
		goto Exit2;
		}

	printf("%s",bndEmuCx);

Exit2:
	ReturnConnection(connection);
Exit1:
	NWDSFreeContext(context);

	}














